Subject: bug#3746: M-r in comint mode should use isearch

From: Lennart Borgman <[email-masked]>
Date: Thu, 9 Jul 2009 01:42:05 +0200

On Thu, Jul 9, 2009 at 1:27 AM, Juri Linkov<[email-masked]> wrote:
>> The general objection is rather Occam's razor: _Why_ add such complexity?
>> What is gained? Occasionally the added convenience of having a single key
>> to use makes a DWIM command worth it. But usually not.
>
> This case is an exception.
>
> C-r is the most frequent key I use in bash running in xterm because
> it is very convenient to search for old commands in the shell history.
> I suppose the same is true for other users.
>
> Using a different key in Emacs for the same functionality
> will cause too much trouble.  Just imagine when you have a habit

I do not think it is an exception. I think it is a way of thinking we
should always consider.